# Namespace: mode

## CaskSDK.enc.mode

Private data encryption modes

### Members

#### (static, constant) mode

##### Properties:

Name | Type | Description
--- | --- | ---
`PRIVATE` |  | Data is only available to original subscription creator and the service provider.
`TRANSFERRABLE` |  | Data is available to current subscription NFT owner and the service provider.
`PROVIDER` |  | Data is available only to the service provider.